Bug 1128330 - texlive-tex4ht no longer conflicts with ht
Summary: texlive-tex4ht no longer conflicts with ht
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 06:23 UTC by Bruce Jerrick
Modified: 2015-09-17 19:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-17 19:54:50 UTC


Attachments (Terms of Use)

Description Bruce Jerrick 2014-08-09 06:23:46 UTC
Description of problem:
texlive-tex4ht has a "Conflicts: ht", but they no longer conflict --
/usr/bin/ht in the 'ht' package has been renamed to /usr/bin/hte .
(As Jerry said to Dean, "Haven't you heard?  The feud is over!".)

Version-Release number of selected component:
texlive-tex4ht-svn33024.0-0.1.fc21

How reproducible:
100%

Steps to Reproduce:
1. On a system with texlive-tex4ht installed, try to install
    ht-2.0.22-1.fc21.x86_64.rpm .

Actual results:
rpm refuses, with a conflict.

Expected results:
Successful installation.

Or:
1. rpm -q --conflicts -p texlive-tex4ht-svn33024.0-0.1.fc21.noarch.rpm

Actual results:
Reports "ht".

Expected results:
No conflicts.

Additional info:
From the changelog of ht-2.0.22-1.fc21:
  * Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> 2.0.18-7
  - rename ht binary to hte, avoids conflict with tex4ht (#959696)

Although it's texlive-tex4ht that contains the "Conflicts", the formerly
conflicting file /usr/bin/ht is actually in the texlive-tex4ht-bin package.
I guess things get confused when there are 5044 texlive packages involved.

Comment 1 Fedora Admin XMLRPC Client 2015-08-11 05:32:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Tom "spot" Callaway 2015-09-17 19:54:50 UTC
The Conflicts: ht is gone in the latest f21 update (texlive-2014-7.1.20140525_r34255.fc21) and is gone everywhere else.


Note You need to log in before you can comment on or make changes to this bug.